-----------------------------------------------------------------------
--                              Mast                                 --
--     Modelling and Analysis Suite for Real-Time Applications       --
--                                                                   --
--                       Copyright (C) 2001-2014                     --
--                 Universidad de Cantabria, SPAIN                   --
--                                                                   --
-- Authors: Michael Gonzalez       mgh@unican.es                     --
--          Jose Javier Gutierrez  gutierjj@unican.es                --
--          Jose Carlos Palencia   palencij@unican.es                --
--          Jose Maria Drake       drakej@unican.es                  --
--                                                                   --
-- This program is free software; you can redistribute it and/or     --
-- modify it under the terms of the GNU General Public               --
-- License as published by the Free Software Foundation; either      --
-- version 2 of the License, or (at your option) any later version.  --
--                                                                   --
-- This program is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU --
-- General Public License for more details.                          --
--                                                                   --
-- You should have received a copy of the GNU General Public         --
-- License along with this program; if not, write to the             --
-- Free Software Foundation, Inc., 59 Temple Place - Suite 330,      --
-- Boston, MA 02111-1307, USA.                                       --
--                                                                   --
-----------------------------------------------------------------------
with Gtkada.Types;  use Gtkada.Types;
with Interfaces.C;
with Interfaces.C.Strings;

package Mast_Analysis_Pixmaps is
   
   function "+" (S : String) return Interfaces.C.Strings.chars_ptr
                renames Interfaces.C.Strings.New_String;
   
   Mast_Logo_Xpm : constant Gtkada.Types.Chars_Ptr_Array:=
      "53 121 394 2"
      +"        c None"
      +".       c #FB6D15"
      +"+       c #D55C12"
      +"@       c #E56313"
      +"#       c #CC5911"
      +"$       c #BA510F"
      +"%       c #AD4B0F"
      +"&       c #BE5310"
      +"*       c #C85710"
      +"=       c #95410C"
      +"-       c #C25410"
      +";       c #C85711"
      +">       c #D25B12"
      +",       c #BC5210"
      +"'       c #E66413"
      +")       c #E36313"
      +"!       c #5F2214"
      +"~       c #772919"
      +"{       c #782A19"
      +"]       c #7B2B1A"
      +"^       c #D45C12"
      +"/       c #852E1C"
      +"(       c #CF5A11"
      +"_       c #77571F"
      +":       c #561E12"
      +"<       c #6A2516"
      +"[       c #CC5811"
      +"}       c #662315"
      +"|       c #6B2616"
      +"1       c #CE5A11"
      +"2       c #752919"
      +"3       c #652315"
      +"4       c #D85E12"
      +"5       c #822D1B"
      +"6       c #5E2113"
      +"7       c #4F1C11"
      +"8       c #5D2013"
      +"9       c #5C2013"
      +"0       c #762919"
      +"a       c #812D1B"
      +"b       c #531D11"
      +"c       c #501C11"
      +"d       c #792A19"
      +"e       c #D05B11"
      +"f       c #7D2C1A"
      +"g       c #832E1B"
      +"h       c #BA5110"
      +"i       c #832E1C"
      +"j       c #48190F"
      +"k       c #D65D12"
      +"l       c #591F13"
      +"m       c #CE5911"
      +"n       c #732818"
      +"o       c #C65611"
      +"p       c #C45510"
      +"q       c #7A2A1A"
      +"r       c #7A2B1A"
      +"s       c #612214"
      +"t       c #692516"
      +"u       c #7C2B1A"
      +"v       c #7F2C1B"
      +"w       c #B9500F"
      +"x       c #632315"
      +"y       c #4C1A10"
      +"z       c #D55D12"
      +"A       c #5D2113"
      +"B       c #642315"
      +"C       c #DF6113"
      +"D       c #5A1F13"
      +"E       c #7D2B1A"
      +"F       c #E96514"
      +"G       c #5B1F13"
      +"H       c #4D1B10"
      +"I       c #571E12"
      +"J       c #7E2C1A"
      +"K       c #B54F0F"
      +"L       c #B95110"
      +"M       c #802D1B"
      +"N       c #C95711"
      +"O       c #551E12"
      +"P       c #BB510F"
      +"Q       c #AF4C0F"
      +"R       c #A4470E"
      +"S       c #9E450D"
      +"T       c #84281A"
      +"U       c #64A332"
      +"V       c #6DAC35"
      +"W       c #78350A"
      +"X       c #84271A"
      +"Y       c #6CAB35"
      +"Z       c #7E2418"
      +"`       c #66A633"
      +" .      c #6FAF36"
      +"..      c #448629"
      +"+.      c #419E2F"
      +"@.      c #419D2F"
      +"#.      c #3A8D2A"
      +"$.      c #3D7A24"
      +"%.      c #4C7E27"
      +"&.      c #70B036"
      +"*.      c #6DAD35"
      +"=.      c #671B13"
      +"-.      c #6DB136"
      +";.      c #70B137"
      +">.      c #386F21"
      +",.      c #388C2A"
      +"'.      c #3E942D"
      +").      c #2C571A"
      +"!.      c #378127"
      +"~.      c #337523"
      +"{.      c #447D26"
      +"].      c #57872A"
      +"^.      c #6EAD35"
      +"/.      c #4D3B17"
      +"(.      c #6CAA34"
      +"_.      c #6AA834"
      +":.      c #67A533"
      +"<.      c #477B25"
      +"[.      c #285319"
      +"}.      c #409C2F"
      +"|.      c #419F2F"
      +"1.      c #409A2E"
      +"2.      c #429A2E"
      +"3.      c #377925"
      +"4.      c #4C8028"
      +"5.      c #6FAE36"
      +"6.      c #5D3818"
      +"7.      c #661F14"
      +"8.      c #6DB036"
      +"9.      c #69A633"
      +"0.      c #68A733"
      +"a.      c #4F8629"
      +"b.      c #3C7B25"
      +"c.      c #358528"
      +"d.      c #419F30"
      +"e.      c #43A130"
      +"f.      c #43A230"
      +"g.      c #317623"
      +"h.      c #337623"
      +"i.      c #38601D"
      +"j.      c #60972E"
      +"k.      c #5E3117"
      +"l.      c #643719"
      +"m.      c #6EB036"
      +"n.      c #67A432"
      +"o.      c #609A30"
      +"p.      c #3F7223"
      +"q.      c #2F6F21"
      +"r.      c #3B922C"
      +"s.      c #3F982D"
      +"t.      c #3F9A2E"
      +"u.      c #42992E"
      +"v.      c #558A2B"
      +"w.      c #63932F"
      +"x.      c #822C1B"
      +"y.      c #502315"
      +"z.      c #3C6B27"
      +"A.      c #70B136"
      +"B.      c #6DAF36"
      +"C.      c #6EAF36"
      +"D.      c #66A232"
      +"E.      c #518B2B"
      +"F.      c #368328"
      +"G.      c #429F2F"
      +"H.      c #3D8629"
      +"I.      c #6CA934"
      +"J.      c #67942F"
      +"K.      c #57541F"
      +"L.      c #3D1F14"
      +"M.      c #422515"
      +"N.      c #282717"
      +"O.      c #122D19"
      +"P.      c #102D1A"
      +"Q.      c #21441F"
      +"R.      c #6DAE36"
      +"S.      c #936D1D"
      +"T.      c #6B7E24"
      +"U.      c #6DAB35"
      +"V.      c #55922C"
      +"W.      c #429E2F"
      +"X.      c #3F8127"
      +"Y.      c #66A433"
      +"Z.      c #3F7028"
      +"`.      c #0E2B19"
      +" +      c #102E1A"
      +".+      c #112F1A"
      +"++      c #15351B"
      +"@+      c #5D9630"
      +"#+      c #6EAE36"
      +"$+      c #807922"
      +"%+      c #88721F"
      +"&+      c #3C6D21"
      +"*+      c #2B671F"
      +"=+      c #43A331"
      +"-+      c #42A431"
      +";+      c #609C30"
      +">+      c #6AA635"
      +",+      c #67A031"
      +"'+      c #4A7C2B"
      +")+      c #16361B"
      +"!+      c #0F2C19"
      +"~+      c #0F2D19"
      +"{+      c #437329"
      +"]+      c #71B236"
      +"^+      c #828A28"
      +"/+      c #A1691A"
      +"(+      c #71AF36"
      +"_+      c #409B2E"
      +":+      c #398929"
      +"<+      c #367E26"
      +"[+      c #347523"
      +"}+      c #5D972E"
      +"|+      c #70B435"
      +"1+      c #2D232D"
      +"2+      c #4B8C2B"
      +"3+      c #3C942C"
      +"4+      c #3D8C2A"
      +"5+      c #478C2A"
      +"6+      c #528D2B"
      +"7+      c #6AA533"
      +"8+      c #70AF36"
      +"9+      c #558A2E"
      +"0+      c #23471F"
      +"a+      c #0D2919"
      +"b+      c #294F21"
      +"c+      c #81942B"
      +"d+      c #AF6718"
      +"e+      c #54892A"
      +"f+      c #42A331"
      +"g+      c #629D30"
      +"h+      c #6FB035"
      +"i+      c #322B31"
      +"j+      c #408C2A"
      +"k+      c #398F2B"
      +"l+      c #3B6C20"
      +"m+      c #4D8D2B"
      +"n+      c #5B902C"
      +"o+      c #71B036"
      +"p+      c #71B136"
      +"q+      c #5E9831"
      +"r+      c #305823"
      +"s+      c #0C2919"
      +"t+      c #16351B"
      +"u+      c #609A31"
      +"v+      c #75982D"
      +"w+      c #DD7219"
      +"x+      c #71B137"
      +"y+      c #347824"
      +"z+      c #42A030"
      +"A+      c #3E8127"
      +"B+      c #619036"
      +"C+      c #342E31"
      +"D+      c #468228"
      +"E+      c #3E8A29"
      +"F+      c #3E992E"
      +"G+      c #3A7F27"
      +"H+      c #41A130"
      +"I+      c #398628"
      +"J+      c #498C2A"
      +"K+      c #57932D"
      +"L+      c #72B237"
      +"M+      c #69A734"
      +"N+      c #396525"
      +"O+      c #497B2B"
      +"P+      c #6D9B2F"
      +"Q+      c #E46D17"
      +"R+      c #69A432"
      +"S+      c #408829"
      +"T+      c #3C8C2A"
      +"U+      c #326F21"
      +"V+      c #337222"
      +"W+      c #6FB135"
      +"X+      c #464D37"
      +"Y+      c #34302F"
      +"Z+      c #485237"
      +"`+      c #5A7D36"
      +" @      c #68A135"
      +".@      c #62982F"
      +"+@      c #4E8C2A"
      +"@@      c #448E2B"
      +"#@      c #378929"
      +"$@      c #357824"
      +"%@      c #40992E"
      +"&@      c #388E2A"
      +"*@      c #408629"
      +"=@      c #508E2B"
      +"-@      c #5F982F"
      +";@      c #6BA533"
      +">@      c #437129"
      +",@      c #3A6626"
      +"'@      c #669A2F"
      +")@      c #EC6C16"
      +"!@      c #6CB037"
      +"~@      c #58952E"
      +"{@      c #3C902C"
      +"]@      c #3F9D2F"
      +"^@      c #58972E"
      +"/@      c #629136"
      +"(@      c #3B3538"
      +"_@      c #3D3938"
      +":@      c #3A3338"
      +"<@      c #434837"
      +"[@      c #597D36"
      +"}@      c #669B36"
      +"|@      c #72B137"
      +"1@      c #528B2A"
      +"2@      c #427323"
      +"3@      c #40902B"
      +"4@      c #3F9B2E"
      +"5@      c #42A130"
      +"6@      c #3B7824"
      +"7@      c #39912B"
      +"8@      c #3E8428"
      +"9@      c #4E8F2B"
      +"0@      c #3C7626"
      +"a@      c #895B16"
      +"b@      c #649F32"
      +"c@      c #649B30"
      +"d@      c #5F9A2F"
      +"e@      c #5B982F"
      +"f@      c #467B26"
      +"g@      c #2B621D"
      +"h@      c #56922D"
      +"i@      c #6CAA35"
      +"j@      c #3F3E38"
      +"k@      c #403F38"
      +"l@      c #597C36"
      +"m@      c #659936"
      +"n@      c #5E922D"
      +"o@      c #488529"
      +"p@      c #42912C"
      +"q@      c #3F7925"
      +"r@      c #409F30"
      +"s@      c #41A030"
      +"t@      c #337323"
      +"u@      c #2E651E"
      +"v@      c #378327"
      +"w@      c #3E902B"
      +"x@      c #56902C"
      +"y@      c #6EAE35"
      +"z@      c #414338"
      +"A@      c #3C3638"
      +"B@      c #3C3838"
      +"C@      c #557237"
      +"D@      c #659935"
      +"E@      c #4D8429"
      +"F@      c #428C2A"
      +"G@      c #40932C"
      +"H@      c #3E982D"
      +"I@      c #40952D"
      +"J@      c #3E7F27"
      +"K@      c #3E942C"
      +"L@      c #4C8A2A"
      +"M@      c #454B38"
      +"N@      c #3A3138"
      +"O@      c #536D37"
      +"P@      c #659835"
      +"Q@      c #669C30"
      +"R@      c #4A8328"
      +"S@      c #428528"
      +"T@      c #3F8D2B"
      +"U@      c #41952D"
      +"V@      c #3E8328"
      +"W@      c #4F8428"
      +"X@      c #70AE36"
      +"Y@      c #69A335"
      +"Z@      c #404038"
      +"`@      c #3D3937"
      +" #      c #3D3838"
      +".#      c #3A3238"
      +"+#      c #4F6537"
      +"@#      c #659A35"
      +"##      c #6BA835"
      +"$#      c #568429"
      +"%#      c #57862A"
      +"&#      c #659E30"
      +"*#      c #577836"
      +"=#      c #3B3338"
      +"-#      c #495638"
      +";#      c #669A35"
      +">#      c #5F8936"
      +",#      c #3C3738"
      +"'#      c #3E3B38"
      +")#      c #4E6237"
      +"!#      c #639336"
      +"~#      c #6BA635"
      +"{#      c #6CA935"
      +"]#      c #679D35"
      +"^#      c #424438"
      +"/#      c #3F3F38"
      +"(#      c #4A5837"
      +"_#      c #547037"
      +":#      c #536F37"
      +"<#      c #475037"
      +"                                        .                                                                 "
      +"                                        .                                                                 "
      +"                                        .                                                                 "
      +"                                        .                                                                 "
      +"                                      . . . .         . .                                                 "
      +"                        . .       . . . . . . .     .                                                     "
      +"                            . . . . . . . . . . . .                                                       "
      +"                              . . . . . . . . . . .                                                       "
      +"                              . . . . . . . . . . .                                                       "
      +"                              . . . . . . . . . . .                                                       "
      +"                              . . . . . . . . . . .                                                       "
      +"                              . . . . . . . . . . .                                                       "
      +"                                . . . . . . . . . . .                                                     "
      +"                              .   . . . . . . . .   . .                                                   "
      +"                          . .       . . . . .           .                                                 "
      +"                          .           .                                                                   "
      +"                                      .                                                                   "
      +"                                      .     +                                                             "
      +"                                      .     @                                                             "
      +"                                            #                                                             "
      +"                                            $                                                             "
      +"                                              %                                                           "
      +"                                              &                                                           "
      +"                                              *                                                           "
      +"                                              =                                                           "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                -                                                         "
      +"                                                ;                                                         "
      +"                                                >                                                         "
      +"                                                -                                                         "
      +"                                                ,                                                         "
      +"                                                '                                                         "
      +"                                                )                                                         "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                                                                                          "
      +"                                            !                                                             "
      +"                                            ~                                                             "
      +"                                            ~                                                             "
      +"                                            {                                                             "
      +"                                            ]     ^                                                       "
      +"                                            /     (                                                       "
      +"                    _                       /     , ,                                                     "
      +"                                          : <       [                                                     "
      +"                  _                       } |       1                                                     "
      +"                  _                       2 <       ^                                                     "
      +"                  _ _ _ _ _               ~ 3       4                                                     "
      +"                  _ _ _ _ _ _ _ _ _ _     { 3                                                             "
      +"                                  _ _     5 3                                                             "
      +"                                          5 6                                                             "
      +"                  _                     7 5 8                                                             "
      +"                                        9 5 8                                                             "
      +"                                        0 a b                                                             "
      +"                _ _         _ _ _       { a c                                                             "
      +"                _         _ _ _ _ _     d a c         e                                                   "
      +"                        _ _       _     f g           h                                                   "
      +"                      _ _ _             5 i           (                                                   "
      +"                _ _ _ _ _         _   j 5 i           k                                                   "
      +"                  _ _ _           _   l 5 i           m                                                   "
      +"                              _ _ _   n a g           o                                                   "
      +"                                      d a g           p                                                   "
      +"                                      q a g                                                               "
      +"                                _     r a i                                                               "
      +"                        _ _ _ _ _     5 a i                                                               "
      +"                  _ _ _ _ _           5 a g                                                               "
      +"            _ _ _ _                 b 5 a g                                                               "
      +"                _                   s 5 a g                                                               "
      +"                    _               ] a a 5                                                               "
      +"                      _ _           ] a a t                                                               "
      +"                          _         u a a t             -                                                 "
      +"                              _     v a a t             w                                                 "
      +"                                    5 a a x               ,                                               "
      +"          _                       y 5 a a x               z                                               "
      +"          _ _ _ _ _ _ _ _     _   A 5 a a B               C                                               "
      +"            _     _ _ _ _ _ _ _   d a a a D               )                                               "
      +"              _ _           _     E a a a D               F                                               "
      +"                  _               f a a a G                                                               "
      +"                      _           f a a a H                                                               "
      +"                        _         5 a a a                                                                 "
      +"                    _ _ _ _ _     a a a a                                                                 "
      +"            _ _ _ _ _ _         I a a a g                                                                 "
      +"        _ _ _ _ _               < a a a i                                                                 "
      +"        _ _ _                   J a a a i                                                                 "
      +"                  _ _ _ _ _     J a a a g                   K                                             "
      +"                          _     J a a a g                   L                                             "
      +"                                M a a a g                   p                                             "
      +"                                a a a a g                   N                                             "
      +"                              O a a a a g                   P                                             "
      +"                              s a a a a g                   Q                                             "
      +"                              M a a a a g                   R S                                           "
      +"                              v a a a a T U V V V V V V       W                                           "
      +"                              v a a a a X U V V V V Y Y V V V V V                                         "
      +"                              v a a a a Z ` V V  ...+.@.#.$.%.&.*.V V V V V                               "
      +"                              a a a a a =.-.V ;.>.,.+.+.@.+.'.).!.~.{.].^.^.V V V V V                     "
      +"                            /.a a a a a =.-.V V V (._.:.<.[.}.|.@.@.@.@.1.2.3.4.5.5.V V V V               "
      +"                          V 6.a a a a a 7.8.V V V V V V *.V 9.0.a.b.c.d.e.e.e.f.g.h.i.j. .V V V           "
      +"                      V V V k.a a a a a l.m.V V V V V V V V V V *.^.(.n.o.p.q.r.s.@.+.t.u.v.5.V V V       "
      +"                    V V V V w.x.a a a 5 y.z.A.V V V V V V V V B.C.V V V V ^.^.D.E.F.G.@.@.}.H.I.V V V     "
      +"                V V V V V V V J.K.L.M.N.O.P.Q.*.V V V V V V R.S.T.V V V V V V V ^.U.V.@.@.@.W.X. .V V     "
      +"            V V V V V V V V V V C.Y.Z.`. +.+.+++@+^.V V V V #+$+%+V V V V V V V V V ^.&+*+#.=+-+;+V V >+  "
      +"          V V V V V V V ^.,+&.#+V V ^.U.'+)+!+.+~+{+]+V V V *.^+/+V V V V V V V V V V (+_+:+<+[+}+V V |+1+"
      +"      V V V V V V V V 5.2+3+4+5+6+7+8+V V &.9+0+a+!+b+5.V V V c+d+V V V V V V V V V V e+}.@.@.f+g+V V h+i+"
      +"    V V V V V V V V D.j+|.@.@.+.d.k+l+m+n+o+#+p+q+r+s+t+u+^.V v+w+ .V V V V V V V V x+y+=+z+@.A+^.V V B+C+"
      +"  V h+V V V V V V (.D+E+F+d.@.@.@.f.G+z+H+I+J+K+7+L+M+N+P.O+p+P+Q+8.V V V V V V V R+S+T+U+V+~.Y.V V W+X+Y+"
      +"    Z+`+ @W+V V V V V 8+.@+@@@#@d.$@%@@.@.@.+.d.&@*@=@-@;@>@,@'@)@!@V V V V #+8+~@{@@.@.@.]@^@^.V V /@(@  "
      +"    _@_@:@<@[@}@W+*.V V V V  .|@1@2@3@4@d.@.@.@.@.@.5@6@7@8@9@0@a@b@c@c@d@e@f@g@t.z+@.@.4@h@^.V V i@j@_@  "
      +"          _@_@(@k@l@m@h+^.V V V V *.&.n@o@p@3+|.+.@.@.t.q@d.@.z+d.r@r@r@d.s@5@=+t@u@v@w@x@^.V V y@z@_@    "
      +"                _@_@A@B@C@D@^.^.V V V V V  .7+E@F@G@H@+.I@J@+.@.@.@.@.@.@.@.@.+.+.K@L@8+V V V ^.M@_@_@    "
      +"                        _@A@N@O@P@Y ^.V V V V V #+8+Q@R@X.S@T@3++.+.+.+.H@3+U@V@W@X@V V V *.Y@Z@_@`@      "
      +"                              _@ #.#+#@###^.V V V V V V V  .5.X@$#%#%#%#&#(+8+*.V V V V i@*#A@_@`@        "
      +"                                    _@ #=#-#;#>+V *.V V V V V V V V V V V V V V V *.>+>#,#_@_@            "
      +"                                          _@_@,#'#)#!#~#{#V *.V V V V V *.*.{#>+]#^#,#_@_@_@              "
      +"                                                _@_@_@ #,#A@/#(#_#:#:#O@<#(@,# #_@_@_@                    "
      +"                                                        _@_@_@_@_@_@_@_@_@_@_@_@                          ";
           
     
   Mast_Pro_Name_Xpm : constant Gtkada.Types.Chars_Ptr_Array:=
      "160 30 13 1"
      +"       c None"
      +".      c #32187B"
      +"+      c #31177B"
      +"@      c #31177A"
      +"#      c #31187A"
      +"$      c #32177A"
      +"%      c #32187A"
      +"&      c #31187B"
      +"*      c #32177B"
      +"=      c #321779"
      +"-      c #311879"
      +";      c #30177B"
      +">      c #321879"
      +"                                                                                                                                                                "
      +"                                                                                                                                                                "
      +"       .......+            @.......             +.......+                 .#$%&%%#@         ......................                                              "
      +"       ........            @.......             .........               .............%@     ......................                                              "
      +"       ........            ........             .........              *...............     ......................                                              "
      +"       .........          #........            #.........#            $................     ......................                                              "
      +"       .........          .........            %.........%            .................     ......................                                              "
      +"       .........@        *.........            ...........           &.....*       #&..             ......                                                      "
      +"       .........%        ..........           $.....@.....$          %.....           #             ......           ......#&$                                  "
      +"       ......#...$      =...#......           ...... ......          &.....                         ......           ..........@                                "
      +"       ...... ...*      $... ......          %.....& %.....%         @.....                         ......          +..=     ...                                "
      +"       ...... *...      ...% ......          @.....   .....@         &.....$+                       ......          #..       ..@                               "
      +"       ...... #...%    &...* ......          .....&   %.....          ..........%$                  ......          &..       ...                               "
      +"       ......  &...    ...#  ......         $.....@   &.....$         #............@&               ......          ..%       ...    ...  #%%+      &*%++-      "
      +"       ......  $...&  @...$  ......         $.....     .....$          #..............$             ......          ..+       ..*    ..+@....+    #.......%     "
      +"       ......   ...&  #...   ......         .....&     %.....            $.............@            ......         +..@       ..$   +....@       &.@@   #&.*    "
      +"       ......   *...@;...%   ......        #.....&     @.....#              @&..........            ......         #..       +.#    #...        #.#      @..&   "
      +"       ......    ...##...    ......        ......       ......                  $@......$           ......         &..      @..     &..@       #..        ..&   "
      +"       ......    #......&    ......       $.....+       +.....$                   *.....$           ......         ..........&      ...        ..+        ..&   "
      +"       ......    >......#    ......       .....................                    .....*           ......         ......@@#        ..+       -..         ..*   "
      +"       ......     ......     ......       .....................      .             .....#           ......        +..=             +..-       %..         ..#   "
      +"       ......     &....@     ......      .......................     ..#           ......           ......        #..              #..        &..         ..+   "
      +"       ......      ....      ......      #.....................#     ....$+      %&.....$           ......        &..              &..        $..        @..    "
      +"       ......                ......      .......................     ...................            ......        ..#              ..%        $..        ..#    "
      +"       ......                ......     $.....$           $.....$    ..................+            ......        ..*              ..+        ...@      $.&     "
      +"       ......                ......     &.....             .....&    .................%             ......       +..+             +..@         *.#+   +@..      "
      +"       ......                ......     .....@             @.....     $%............#$              ......       #..              #..           +.......@       "
      +"       ......                ......    &.....%             %.....&        &$+&#@*#&                 ......       &..              &..            @%@..#         "
      +"                                                                                                                                                                "
      +"                                                                                                                                                                ";
             
   Mast_Name_Xpm : constant Gtkada.Types.Chars_Ptr_Array:=
      "114 30 12 1"
      +"        c None"
      +".       c #32187B"
      +"+       c #31177B"
      +"@       c #31177A"
      +"#       c #31187A"
      +"$       c #32177A"
      +"%       c #32187A"
      +"&       c #31187B"
      +"*       c #32177B"
      +"=       c #321779"
      +"-       c #30177B"
      +";       c #321879"
      +"                                                                                                                  "
      +"                                                                                                                  "
      +"    .......+            @.......             +.......+                 .#$%&%%#@         ......................   "
      +"    ........            @.......             .........               .............%@     ......................   "
      +"    ........            ........             .........              *...............     ......................   "
      +"    .........          #........            #.........#            $................     ......................   "
      +"    .........          .........            %.........%            .................     ......................   "
      +"    .........@        *.........            ...........           &.....*       #&..             ......           "
      +"    .........%        ..........           $.....@.....$          %.....           #             ......           "
      +"    ......#...$      =...#......           ...... ......          &.....                         ......           "
      +"    ...... ...*      $... ......          %.....& %.....%         @.....                         ......           "
      +"    ...... *...      ...% ......          @.....   .....@         &.....$+                       ......           "
      +"    ...... #...%    &...* ......          .....&   %.....          ..........%$                  ......           "
      +"    ......  &...    ...#  ......         $.....@   &.....$         #............@&               ......           "
      +"    ......  $...&  @...$  ......         $.....     .....$          #..............$             ......           "
      +"    ......   ...&  #...   ......         .....&     %.....            $.............@            ......           "
      +"    ......   *...@-...%   ......        #.....&     @.....#              @&..........            ......           "
      +"    ......    ...##...    ......        ......       ......                  $@......$           ......           "
      +"    ......    #......&    ......       $.....+       +.....$                   *.....$           ......           "
      +"    ......    ;......#    ......       .....................                    .....*           ......           "
      +"    ......     ......     ......       .....................      .             .....#           ......           "
      +"    ......     &....@     ......      .......................     ..#           ......           ......           "
      +"    ......      ....      ......      #.....................#     ....$+      %&.....$           ......           "
      +"    ......                ......      .......................     ...................            ......           "
      +"    ......                ......     $.....$           $.....$    ..................+            ......           "
      +"    ......                ......     &.....             .....&    .................%             ......           "
      +"    ......                ......     .....@             @.....     $%............#$              ......           "
      +"    ......                ......    &.....%             %.....&        &$+&#@*#&                 ......           "
      +"                                                                                                                  "
      +"                                                                                                                  ";
                 
     
end Mast_Analysis_Pixmaps;
