-----------------------------------------------------------------------
--                              Mast                                 --
--     Modelling and Analysis Suite for Real-Time Applications       --
--                                                                   --
--                       Copyright (C) 2000-2014                     --
--                 Universidad de Cantabria, SPAIN                   --
--                                                                   --
-- Authors: Michael Gonzalez       mgh@unican.es                     --
--          Jose Javier Gutierrez  gutierjj@unican.es                --
--          Jose Carlos Palencia   palencij@unican.es                --
--          Jose Maria Drake       drakej@unican.es                  --
--          Julio Luis Medina      medinajl@unican.es                --
--                                                                   --
-- This program is free software; you can redistribute it and/or     --
-- modify it under the terms of the GNU General Public               --
-- License as published by the Free Software Foundation; either      --
-- version 2 of the License, or (at your option) any later version.  --
--                                                                   --
-- This program is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU --
-- General Public License for more details.                          --
--                                                                   --
-- You should have received a copy of the GNU General Public         --
-- License along with this program; if not, write to the             --
-- Free Software Foundation, Inc., 59 Temple Place - Suite 330,      --
-- Boston, MA 02111-1307, USA.                                       --
--                                                                   --
-----------------------------------------------------------------------
package Mast_Parser_Goto is

    type Small_Integer is range -32_000 .. 32_000;

    type Goto_Entry is record
        Nonterm  : Small_Integer;
        Newstate : Small_Integer;
    end record;

  --pragma suppress(index_check);

    subtype Row is Integer range -1 .. Integer'Last;

    type Goto_Parse_Table is array (Row range <>) of Goto_Entry;

    Goto_Matrix : constant Goto_Parse_Table :=
       ((-1,-1)  -- Dummy Entry.
-- State  0
,(-213, 23),(-212, 22),(-211, 21),(-210, 20)
,(-192, 19),(-191, 18),(-190, 17),(-152, 16)
,(-151, 15),(-20, 14),(-19, 13),(-18, 12)
,(-17, 11),(-11, 9),(-10, 8),(-9, 7)
,(-8, 6),(-7, 5),(-6, 4),(-5, 3)
,(-4, 2),(-3, 1),(-2, 30)
-- State  1
,(-213, 23)
,(-212, 22),(-211, 21),(-210, 20),(-192, 19)
,(-191, 18),(-190, 17),(-152, 16),(-151, 15)
,(-20, 14),(-19, 13),(-18, 12),(-17, 11)
,(-11, 9),(-10, 8),(-9, 7),(-8, 6)
,(-7, 5),(-6, 4),(-5, 3),(-4, 31)

-- State  2

-- State  3

-- State  4

-- State  5

-- State  6

-- State  7

-- State  8

-- State  9

-- State  10

-- State  11

-- State  12

-- State  13

-- State  14

-- State  15

-- State  16

-- State  17

-- State  18

-- State  19

-- State  20

-- State  21

-- State  22

-- State  23

-- State  24

-- State  25
,(-476, 35),(-475, 34),(-101, 37)
-- State  26

-- State  27

-- State  28

-- State  29
,(-249, 43)
,(-104, 42)
-- State  30

-- State  31

-- State  32
,(-16, 49),(-15, 48),(-14, 47)
,(-13, 45),(-12, 46)
-- State  33
,(-358, 54)
-- State  34

-- State  35

-- State  36
,(-480, 57)
,(-477, 56)
-- State  37

-- State  38
,(-77, 63),(-58, 62),(-39, 61)
,(-21, 60)
-- State  39
,(-161, 66),(-153, 65)
-- State  40
,(-203, 70)
,(-196, 69),(-193, 68)
-- State  41
,(-250, 75),(-242, 74)
,(-235, 73),(-214, 72)
-- State  42

-- State  43

-- State  44

-- State  45

-- State  46

-- State  47

-- State  48

-- State  49

-- State  50

-- State  51

-- State  52

-- State  53

-- State  54
,(-359, 84)
-- State  55

-- State  56
,(-478, 86)

-- State  57
,(-481, 87)
-- State  58

-- State  59

-- State  60
,(-22, 89)
-- State  61
,(-40, 90)
-- State  62
,(-59, 91)

-- State  63
,(-78, 92)
-- State  64

-- State  65
,(-154, 94)
-- State  66
,(-162, 95)
-- State  67

-- State  68
,(-194, 97)

-- State  69
,(-197, 98)
-- State  70
,(-204, 99)
-- State  71

-- State  72
,(-215, 101)
-- State  73
,(-236, 102)

-- State  74
,(-243, 103)
-- State  75
,(-251, 104)
-- State  76

-- State  77

-- State  78

-- State  79
,(-16, 49),(-15, 48)
,(-14, 47),(-13, 106)
-- State  80

-- State  81

-- State  82

-- State  83

-- State  84
,(-361, 111),(-360, 112)

-- State  85

-- State  86
,(-483, 116),(-479, 117)
-- State  87
,(-483, 119),(-482, 120)

-- State  88

-- State  89
,(-24, 125),(-23, 126)
-- State  90
,(-42, 128),(-41, 129)

-- State  91
,(-60, 132),(-24, 131)
-- State  92
,(-79, 134),(-42, 133)

-- State  93

-- State  94
,(-156, 137),(-155, 138)
-- State  95
,(-163, 141),(-156, 140)

-- State  96

-- State  97
,(-195, 146)
-- State  98
,(-198, 148),(-195, 147)
-- State  99
,(-205, 150)
,(-195, 149)
-- State  100

-- State  101
,(-217, 155),(-216, 156)
-- State  102
,(-237, 159)
,(-217, 158)
-- State  103
,(-244, 161),(-217, 160)
-- State  104
,(-252, 163)
,(-217, 162)
-- State  105

-- State  106

-- State  107

-- State  108

-- State  109

-- State  110

-- State  111

-- State  112
,(-365, 166),(-364, 165),(-363, 164)
,(-362, 169)
-- State  113

-- State  114

-- State  115

-- State  116

-- State  117
,(-487, 173),(-486, 172),(-485, 171)
,(-484, 176)
-- State  118

-- State  119

-- State  120
,(-489, 178),(-488, 183),(-487, 180)
,(-486, 179)
-- State  121

-- State  122

-- State  123

-- State  124

-- State  125

-- State  126
,(-37, 195),(-36, 194),(-35, 193)
,(-34, 192),(-33, 191),(-32, 190),(-31, 189)
,(-30, 188),(-29, 187),(-28, 186),(-27, 185)
,(-26, 184),(-25, 198)
-- State  127

-- State  128

-- State  129
,(-43, 209),(-37, 206)
,(-36, 205),(-35, 204),(-34, 203),(-33, 202)
,(-29, 201),(-28, 200)
-- State  130

-- State  131

-- State  132
,(-70, 221),(-69, 220)
,(-68, 219),(-67, 218),(-66, 217),(-65, 216)
,(-64, 215),(-63, 214),(-62, 213),(-61, 224)
,(-27, 212),(-26, 211)
-- State  133

-- State  134
,(-85, 235),(-84, 233)
,(-83, 228),(-82, 227),(-81, 226),(-80, 238)
,(-70, 231),(-69, 236),(-68, 234),(-67, 230)
,(-66, 229),(-65, 225)
-- State  135

-- State  136

-- State  137

-- State  138
,(-159, 240),(-158, 239)
,(-157, 243)
-- State  139

-- State  140

-- State  141
,(-165, 246),(-164, 249),(-158, 245)

-- State  142

-- State  143

-- State  144

-- State  145

-- State  146

-- State  147
,(-202, 255),(-201, 254),(-200, 253),(-199, 252)

-- State  148

-- State  149
,(-209, 261),(-208, 260),(-207, 259),(-206, 258)

-- State  150

-- State  151

-- State  152

-- State  153

-- State  154

-- State  155

-- State  156
,(-230, 273),(-229, 272),(-226, 271),(-225, 270)
,(-223, 268),(-222, 267),(-221, 266),(-220, 265)
,(-219, 264),(-218, 275)
-- State  157

-- State  158

-- State  159
,(-239, 278),(-238, 281)
,(-219, 277)
-- State  160

-- State  161
,(-248, 286),(-247, 285),(-246, 284)
,(-245, 289),(-239, 283),(-219, 282)
-- State  162

-- State  163
,(-256, 293)
,(-255, 292),(-254, 291),(-253, 296),(-219, 290)

-- State  164

-- State  165

-- State  166

-- State  167

-- State  168

-- State  169

-- State  170

-- State  171

-- State  172

-- State  173

-- State  174

-- State  175

-- State  176

-- State  177

-- State  178

-- State  179

-- State  180

-- State  181

-- State  182

-- State  183

-- State  184

-- State  185

-- State  186

-- State  187

-- State  188

-- State  189

-- State  190

-- State  191

-- State  192

-- State  193

-- State  194

-- State  195

-- State  196

-- State  197

-- State  198

-- State  199

-- State  200

-- State  201

-- State  202

-- State  203

-- State  204

-- State  205

-- State  206

-- State  207

-- State  208

-- State  209

-- State  210

-- State  211

-- State  212

-- State  213

-- State  214

-- State  215

-- State  216

-- State  217

-- State  218

-- State  219

-- State  220

-- State  221

-- State  222

-- State  223

-- State  224

-- State  225

-- State  226

-- State  227

-- State  228

-- State  229

-- State  230

-- State  231

-- State  232

-- State  233

-- State  234

-- State  235

-- State  236

-- State  237

-- State  238

-- State  239

-- State  240

-- State  241

-- State  242

-- State  243

-- State  244

-- State  245

-- State  246

-- State  247

-- State  248

-- State  249

-- State  250

-- State  251

-- State  252
,(-202, 255),(-201, 254),(-200, 345)
-- State  253

-- State  254

-- State  255

-- State  256

-- State  257

-- State  258
,(-209, 261)
,(-208, 260),(-207, 349)
-- State  259

-- State  260

-- State  261

-- State  262

-- State  263

-- State  264

-- State  265

-- State  266

-- State  267

-- State  268

-- State  269

-- State  270

-- State  271

-- State  272

-- State  273

-- State  274

-- State  275

-- State  276

-- State  277

-- State  278

-- State  279

-- State  280

-- State  281

-- State  282

-- State  283

-- State  284

-- State  285

-- State  286

-- State  287

-- State  288

-- State  289

-- State  290

-- State  291

-- State  292

-- State  293

-- State  294

-- State  295

-- State  296

-- State  297

-- State  298

-- State  299

-- State  300

-- State  301

-- State  302

-- State  303

-- State  304

-- State  305

-- State  306

-- State  307

-- State  308

-- State  309

-- State  310

-- State  311

-- State  312

-- State  313

-- State  314

-- State  315

-- State  316

-- State  317

-- State  318

-- State  319

-- State  320

-- State  321

-- State  322

-- State  323

-- State  324

-- State  325

-- State  326

-- State  327

-- State  328

-- State  329

-- State  330

-- State  331

-- State  332

-- State  333

-- State  334

-- State  335

-- State  336

-- State  337

-- State  338

-- State  339

-- State  340

-- State  341

-- State  342

-- State  343

-- State  344

-- State  345

-- State  346

-- State  347

-- State  348

-- State  349

-- State  350

-- State  351

-- State  352

-- State  353

-- State  354

-- State  355

-- State  356

-- State  357

-- State  358

-- State  359

-- State  360

-- State  361

-- State  362

-- State  363

-- State  364

-- State  365

-- State  366

-- State  367

-- State  368

-- State  369

-- State  370

-- State  371

-- State  372

-- State  373

-- State  374

-- State  375
,(-263, 438),(-262, 437)
,(-261, 436),(-260, 435),(-259, 434),(-258, 433)
,(-257, 440)
-- State  376
,(-313, 441),(-312, 443)
-- State  377

-- State  378

-- State  379

-- State  380

-- State  381

-- State  382

-- State  383

-- State  384

-- State  385

-- State  386

-- State  387

-- State  388

-- State  389
,(-45, 456)
,(-44, 455),(-38, 458)
-- State  390

-- State  391

-- State  392

-- State  393

-- State  394

-- State  395

-- State  396

-- State  397
,(-74, 465)
-- State  398

-- State  399

-- State  400

-- State  401

-- State  402

-- State  403

-- State  404

-- State  405
,(-168, 475)
,(-167, 474),(-166, 473),(-160, 477)
-- State  406

-- State  407

-- State  408

-- State  409

-- State  410

-- State  411

-- State  412

-- State  413

-- State  414
,(-306, 485)
,(-305, 484),(-224, 487)
-- State  415

-- State  416

-- State  417

-- State  418

-- State  419

-- State  420

-- State  421

-- State  422

-- State  423

-- State  424

-- State  425

-- State  426

-- State  427

-- State  428

-- State  429
,(-366, 501),(-327, 508)
,(-326, 507),(-325, 506),(-324, 505),(-323, 504)
,(-322, 503),(-321, 502)
-- State  430
,(-372, 513),(-371, 512)
,(-368, 511),(-367, 510)
-- State  431
,(-388, 527),(-387, 526)
,(-386, 525),(-385, 524),(-384, 523),(-383, 522)
,(-382, 521),(-381, 520),(-380, 519),(-379, 518)
,(-378, 517),(-370, 516),(-369, 515)
-- State  432

-- State  433

-- State  434

-- State  435

-- State  436

-- State  437

-- State  438

-- State  439
,(-298, 535)
,(-289, 534),(-281, 533),(-276, 532),(-271, 531)
,(-264, 530)
-- State  440

-- State  441

-- State  442
,(-314, 537)
-- State  443

-- State  444

-- State  445

-- State  446

-- State  447

-- State  448

-- State  449

-- State  450

-- State  451

-- State  452

-- State  453

-- State  454

-- State  455

-- State  456

-- State  457
,(-53, 540),(-46, 539)

-- State  458

-- State  459

-- State  460

-- State  461

-- State  462

-- State  463

-- State  464
,(-89, 546),(-88, 545),(-87, 544),(-86, 543)
,(-76, 542),(-75, 541)
-- State  465

-- State  466

-- State  467

-- State  468

-- State  469

-- State  470

-- State  471

-- State  472

-- State  473

-- State  474

-- State  475

-- State  476
,(-182, 551),(-174, 550)
,(-169, 549)
-- State  477

-- State  478

-- State  479

-- State  480

-- State  481

-- State  482

-- State  483

-- State  484

-- State  485

-- State  486
,(-310, 554),(-307, 553)
-- State  487

-- State  488

-- State  489

-- State  490

-- State  491
,(-228, 556)
,(-227, 555)
-- State  492
,(-232, 559),(-231, 558)
-- State  493
,(-234, 562)
,(-233, 561)
-- State  494
,(-241, 565),(-240, 564)
-- State  495

-- State  496

-- State  497

-- State  498

-- State  499

-- State  500

-- State  501

-- State  502

-- State  503

-- State  504

-- State  505

-- State  506

-- State  507

-- State  508

-- State  509
,(-352, 574)
,(-348, 573),(-341, 572),(-336, 571),(-328, 570)

-- State  510

-- State  511

-- State  512

-- State  513

-- State  514
,(-373, 578)
-- State  515

-- State  516

-- State  517

-- State  518

-- State  519

-- State  520

-- State  521

-- State  522

-- State  523

-- State  524

-- State  525

-- State  526

-- State  527

-- State  528
,(-429, 591),(-424, 590),(-420, 589)
,(-419, 588),(-415, 587),(-405, 586),(-404, 585)
,(-397, 584),(-396, 583),(-389, 582)
-- State  529

-- State  530
,(-265, 593)

-- State  531
,(-272, 594)
-- State  532
,(-277, 595)
-- State  533
,(-282, 596)
-- State  534
,(-290, 597)

-- State  535
,(-299, 598)
-- State  536

-- State  537
,(-315, 600)
-- State  538

-- State  539
,(-47, 602)
-- State  540
,(-54, 603)

-- State  541

-- State  542

-- State  543

-- State  544

-- State  545

-- State  546

-- State  547
,(-121, 609),(-107, 608),(-90, 607)
-- State  548

-- State  549
,(-170, 611)

-- State  550
,(-175, 612)
-- State  551
,(-183, 613)
-- State  552

-- State  553
,(-308, 615)
-- State  554
,(-311, 616)

-- State  555

-- State  556

-- State  557

-- State  558

-- State  559

-- State  560

-- State  561

-- State  562

-- State  563

-- State  564

-- State  565

-- State  566

-- State  567

-- State  568
,(-327, 508),(-326, 507),(-325, 506),(-324, 505)
,(-323, 504),(-322, 503),(-321, 625)
-- State  569

-- State  570
,(-329, 627)

-- State  571
,(-337, 628)
-- State  572
,(-342, 629)
-- State  573
,(-349, 630)
-- State  574
,(-353, 631)

-- State  575

-- State  576
,(-372, 513),(-371, 512),(-368, 632)
-- State  577

-- State  578
,(-375, 634)
,(-374, 636)
-- State  579

-- State  580
,(-388, 527),(-387, 526),(-386, 525)
,(-385, 524),(-384, 523),(-383, 522),(-382, 521)
,(-381, 520),(-380, 519),(-379, 518),(-378, 517)
,(-370, 637)
-- State  581

-- State  582
,(-395, 644),(-394, 643),(-393, 642)
,(-392, 641),(-391, 639),(-390, 640)
-- State  583
,(-395, 644)
,(-394, 643),(-393, 642),(-392, 641),(-391, 639)
,(-390, 646)
-- State  584
,(-401, 650),(-400, 649),(-399, 647)
,(-398, 648)
-- State  585
,(-401, 650),(-400, 649),(-399, 647)
,(-398, 652)
-- State  586
,(-412, 658),(-411, 657),(-409, 656)
,(-408, 655),(-407, 653),(-406, 654)
-- State  587
,(-418, 663)
,(-417, 660),(-416, 661),(-412, 658),(-411, 657)
,(-408, 662)
-- State  588
,(-412, 658),(-411, 657),(-410, 666)
,(-408, 665)
-- State  589
,(-423, 672),(-422, 668),(-421, 669)
,(-393, 671),(-392, 670)
-- State  590
,(-428, 679),(-427, 678)
,(-426, 674),(-425, 675),(-393, 677),(-392, 676)

-- State  591
,(-432, 687),(-431, 681),(-430, 682),(-428, 686)
,(-427, 685),(-393, 684),(-392, 683)
-- State  592

-- State  593
,(-270, 699)
,(-269, 698),(-268, 697),(-267, 696),(-266, 701)

-- State  594
,(-275, 704),(-274, 703),(-273, 707),(-270, 706)
,(-269, 705)
-- State  595
,(-280, 710),(-279, 709),(-278, 713)
,(-270, 712),(-269, 711)
-- State  596
,(-288, 721),(-287, 720)
,(-286, 719),(-285, 718),(-284, 714),(-283, 715)
,(-270, 717),(-269, 716)
-- State  597
,(-297, 730),(-296, 729)
,(-295, 728),(-294, 727),(-293, 725),(-292, 723)
,(-291, 724),(-270, 726)
-- State  598
,(-304, 736),(-303, 735)
,(-302, 734),(-301, 733),(-300, 738)
-- State  599

-- State  600
,(-320, 744)
,(-319, 743),(-318, 742),(-317, 741),(-316, 746)

-- State  601

-- State  602
,(-52, 753),(-51, 752),(-50, 751),(-49, 749)
,(-48, 750)
-- State  603
,(-57, 760),(-56, 755),(-55, 756)
,(-52, 759),(-51, 758),(-50, 757)
-- State  604

-- State  605
,(-89, 546)
,(-88, 545),(-87, 544),(-86, 543),(-76, 762)

-- State  606

-- State  607
,(-91, 764)
-- State  608
,(-108, 765)
-- State  609
,(-122, 766)
-- State  610

-- State  611
,(-173, 772)
,(-172, 771),(-171, 779),(-32, 777),(-31, 776)
,(-30, 775),(-27, 774),(-26, 773)
-- State  612
,(-181, 785)
,(-180, 784),(-179, 783),(-178, 782),(-177, 781)
,(-176, 787)
-- State  613
,(-189, 795),(-188, 794),(-187, 793)
,(-186, 790),(-185, 789),(-184, 803),(-73, 802)
,(-72, 800),(-71, 798),(-64, 801),(-63, 799)
,(-62, 797),(-27, 792),(-26, 791)
-- State  614

-- State  615
,(-309, 807)

-- State  616
,(-309, 808)
-- State  617

-- State  618
,(-228, 809)
-- State  619

-- State  620
,(-232, 810)
-- State  621

-- State  622
,(-234, 811)

-- State  623

-- State  624
,(-241, 812)
-- State  625

-- State  626

-- State  627
,(-331, 818),(-330, 819)
-- State  628
,(-338, 822)
,(-331, 821)
-- State  629
,(-343, 824),(-331, 823)
-- State  630
,(-350, 826)
,(-331, 825)
-- State  631
,(-354, 828),(-331, 827)
-- State  632

-- State  633

-- State  634
,(-376, 831)

-- State  635

-- State  636

-- State  637

-- State  638

-- State  639

-- State  640
,(-395, 644),(-394, 643),(-393, 642),(-392, 641)
,(-391, 845)
-- State  641

-- State  642

-- State  643

-- State  644

-- State  645

-- State  646
,(-395, 644),(-394, 643),(-393, 642)
,(-392, 641),(-391, 845)
-- State  647

-- State  648
,(-401, 650),(-400, 649)
,(-399, 852)
-- State  649

-- State  650

-- State  651

-- State  652
,(-401, 650),(-400, 649),(-399, 852)

-- State  653

-- State  654
,(-412, 658),(-411, 657),(-409, 656),(-408, 655)
,(-407, 857)
-- State  655

-- State  656

-- State  657

-- State  658

-- State  659

-- State  660

-- State  661
,(-418, 663),(-417, 862),(-412, 658)
,(-411, 657),(-408, 662)
-- State  662

-- State  663

-- State  664

-- State  665

-- State  666
,(-412, 658),(-411, 657)
,(-408, 864)
-- State  667

-- State  668

-- State  669
,(-423, 672),(-422, 867),(-393, 671)
,(-392, 670)
-- State  670

-- State  671

-- State  672

-- State  673

-- State  674

-- State  675
,(-428, 679),(-427, 678),(-426, 870)
,(-393, 677),(-392, 676)
-- State  676

-- State  677

-- State  678

-- State  679

-- State  680

-- State  681

-- State  682
,(-432, 687),(-431, 874)
,(-428, 686),(-427, 685),(-393, 684),(-392, 683)

-- State  683

-- State  684

-- State  685

-- State  686

-- State  687

-- State  688

-- State  689

-- State  690

-- State  691

-- State  692

-- State  693

-- State  694

-- State  695

-- State  696
,(-270, 699),(-269, 698),(-268, 877)
-- State  697

-- State  698

-- State  699

-- State  700

-- State  701

-- State  702

-- State  703
,(-275, 881)
,(-270, 706),(-269, 705)
-- State  704

-- State  705

-- State  706

-- State  707

-- State  708

-- State  709
,(-280, 883),(-270, 712)
,(-269, 711)
-- State  710

-- State  711

-- State  712

-- State  713

-- State  714

-- State  715
,(-288, 721),(-287, 720),(-286, 719)
,(-285, 718),(-284, 885),(-270, 717),(-269, 716)

-- State  716

-- State  717

-- State  718

-- State  719

-- State  720

-- State  721

-- State  722

-- State  723

-- State  724
,(-297, 730),(-296, 729),(-295, 728),(-294, 727)
,(-293, 725),(-292, 891),(-270, 726)
-- State  725

-- State  726

-- State  727

-- State  728

-- State  729

-- State  730

-- State  731

-- State  732

-- State  733
,(-304, 736)
,(-303, 735),(-302, 898)
-- State  734

-- State  735

-- State  736

-- State  737

-- State  738

-- State  739

-- State  740

-- State  741
,(-320, 744),(-319, 743)
,(-318, 902)
-- State  742

-- State  743

-- State  744

-- State  745

-- State  746

-- State  747

-- State  748

-- State  749

-- State  750
,(-52, 753),(-51, 752),(-50, 751)
,(-49, 906)
-- State  751

-- State  752

-- State  753

-- State  754

-- State  755

-- State  756
,(-57, 760),(-56, 911),(-52, 759)
,(-51, 758),(-50, 757)
-- State  757

-- State  758

-- State  759

-- State  760

-- State  761

-- State  762

-- State  763

-- State  764
,(-106, 928),(-105, 927)
,(-103, 926),(-102, 925),(-100, 924),(-99, 923)
,(-98, 922),(-97, 921),(-96, 920),(-95, 919)
,(-94, 918),(-93, 916),(-92, 917)
-- State  765
,(-120, 947)
,(-119, 946),(-118, 945),(-117, 944),(-116, 943)
,(-115, 942),(-114, 940),(-113, 939),(-112, 938)
,(-111, 937),(-110, 930),(-109, 931),(-106, 928)
,(-105, 927),(-103, 926),(-102, 925),(-100, 924)
,(-99, 923),(-98, 936),(-97, 935),(-96, 934)
,(-95, 933),(-94, 932)
-- State  766
,(-150, 981),(-149, 980)
,(-148, 979),(-147, 978),(-146, 977),(-145, 976)
,(-144, 975),(-143, 974),(-142, 973),(-141, 972)
,(-140, 971),(-139, 970),(-138, 969),(-137, 968)
,(-136, 966),(-135, 965),(-134, 964),(-133, 963)
,(-132, 962),(-131, 961),(-130, 960),(-129, 959)
,(-128, 958),(-127, 957),(-126, 956),(-125, 955)
,(-124, 948),(-123, 949),(-106, 928),(-105, 927)
,(-103, 926),(-102, 925),(-100, 924),(-99, 923)
,(-98, 954),(-97, 953),(-96, 952),(-95, 951)
,(-94, 950)
-- State  767

-- State  768

-- State  769

-- State  770

-- State  771
,(-173, 983),(-32, 777),(-31, 776)
,(-30, 775),(-27, 774),(-26, 773)
-- State  772

-- State  773

-- State  774

-- State  775

-- State  776

-- State  777

-- State  778

-- State  779

-- State  780

-- State  781
,(-181, 785)
,(-180, 784),(-179, 783),(-178, 985)
-- State  782

-- State  783

-- State  784

-- State  785

-- State  786

-- State  787

-- State  788

-- State  789
,(-189, 795)
,(-188, 794),(-187, 793),(-186, 990),(-73, 802)
,(-72, 800),(-71, 798),(-64, 801),(-63, 799)
,(-62, 797),(-27, 792),(-26, 791)
-- State  790

-- State  791

-- State  792

-- State  793

-- State  794

-- State  795

-- State  796

-- State  797

-- State  798

-- State  799

-- State  800

-- State  801

-- State  802

-- State  803

-- State  804

-- State  805

-- State  806

-- State  807

-- State  808

-- State  809

-- State  810

-- State  811

-- State  812

-- State  813

-- State  814

-- State  815

-- State  816

-- State  817

-- State  818

-- State  819
,(-335, 999)
,(-334, 998),(-333, 997),(-332, 1002)
-- State  820

-- State  821

-- State  822
,(-340, 1004)
,(-339, 1007)
-- State  823

-- State  824
,(-347, 1010),(-346, 1009),(-345, 1008)
,(-344, 1013)
-- State  825

-- State  826
,(-351, 1018),(-346, 1015),(-345, 1014)

-- State  827

-- State  828
,(-357, 1022),(-356, 1021),(-355, 1025),(-346, 1020)
,(-345, 1019)
-- State  829

-- State  830

-- State  831

-- State  832

-- State  833

-- State  834

-- State  835

-- State  836

-- State  837

-- State  838

-- State  839

-- State  840

-- State  841

-- State  842

-- State  843

-- State  844

-- State  845

-- State  846

-- State  847

-- State  848

-- State  849

-- State  850

-- State  851

-- State  852

-- State  853

-- State  854

-- State  855

-- State  856

-- State  857

-- State  858

-- State  859

-- State  860

-- State  861

-- State  862

-- State  863

-- State  864

-- State  865

-- State  866

-- State  867

-- State  868

-- State  869

-- State  870

-- State  871

-- State  872

-- State  873

-- State  874

-- State  875

-- State  876

-- State  877

-- State  878

-- State  879

-- State  880

-- State  881

-- State  882

-- State  883

-- State  884

-- State  885

-- State  886

-- State  887

-- State  888

-- State  889

-- State  890

-- State  891

-- State  892

-- State  893

-- State  894

-- State  895

-- State  896

-- State  897

-- State  898

-- State  899

-- State  900

-- State  901

-- State  902

-- State  903

-- State  904

-- State  905

-- State  906

-- State  907

-- State  908

-- State  909

-- State  910

-- State  911

-- State  912

-- State  913

-- State  914

-- State  915

-- State  916

-- State  917
,(-106, 928),(-105, 927),(-103, 926)
,(-102, 925),(-100, 924),(-99, 923),(-98, 922)
,(-97, 921),(-96, 920),(-95, 919),(-94, 918)
,(-93, 1062)
-- State  918

-- State  919

-- State  920

-- State  921

-- State  922

-- State  923

-- State  924

-- State  925

-- State  926

-- State  927

-- State  928

-- State  929

-- State  930

-- State  931
,(-120, 947),(-119, 946),(-118, 945)
,(-117, 944),(-116, 943),(-115, 942),(-114, 940)
,(-113, 939),(-112, 938),(-111, 937),(-110, 1069)
,(-106, 928),(-105, 927),(-103, 926),(-102, 925)
,(-100, 924),(-99, 923),(-98, 936),(-97, 935)
,(-96, 934),(-95, 933),(-94, 932)
-- State  932

-- State  933

-- State  934

-- State  935

-- State  936

-- State  937

-- State  938

-- State  939

-- State  940

-- State  941

-- State  942

-- State  943

-- State  944

-- State  945

-- State  946

-- State  947

-- State  948

-- State  949
,(-150, 981)
,(-149, 980),(-148, 979),(-147, 978),(-146, 977)
,(-145, 976),(-144, 975),(-143, 974),(-142, 973)
,(-141, 972),(-140, 971),(-139, 970),(-138, 969)
,(-137, 968),(-136, 966),(-135, 965),(-134, 964)
,(-133, 963),(-132, 962),(-131, 961),(-130, 960)
,(-129, 959),(-128, 958),(-127, 957),(-126, 956)
,(-125, 955),(-124, 1075),(-106, 928),(-105, 927)
,(-103, 926),(-102, 925),(-100, 924),(-99, 923)
,(-98, 954),(-97, 953),(-96, 952),(-95, 951)
,(-94, 950)
-- State  950

-- State  951

-- State  952

-- State  953

-- State  954

-- State  955

-- State  956

-- State  957

-- State  958

-- State  959

-- State  960

-- State  961

-- State  962

-- State  963

-- State  964

-- State  965

-- State  966

-- State  967

-- State  968

-- State  969

-- State  970

-- State  971

-- State  972

-- State  973

-- State  974

-- State  975

-- State  976

-- State  977

-- State  978

-- State  979

-- State  980

-- State  981

-- State  982

-- State  983

-- State  984

-- State  985

-- State  986

-- State  987

-- State  988

-- State  989

-- State  990

-- State  991

-- State  992

-- State  993

-- State  994

-- State  995

-- State  996

-- State  997

-- State  998

-- State  999

-- State  1000

-- State  1001

-- State  1002

-- State  1003

-- State  1004

-- State  1005

-- State  1006

-- State  1007

-- State  1008

-- State  1009

-- State  1010

-- State  1011

-- State  1012

-- State  1013

-- State  1014

-- State  1015

-- State  1016

-- State  1017

-- State  1018

-- State  1019

-- State  1020

-- State  1021

-- State  1022

-- State  1023

-- State  1024

-- State  1025

-- State  1026

-- State  1027

-- State  1028

-- State  1029

-- State  1030

-- State  1031

-- State  1032

-- State  1033

-- State  1034

-- State  1035

-- State  1036

-- State  1037

-- State  1038

-- State  1039

-- State  1040

-- State  1041

-- State  1042

-- State  1043

-- State  1044

-- State  1045

-- State  1046

-- State  1047

-- State  1048

-- State  1049

-- State  1050

-- State  1051

-- State  1052

-- State  1053

-- State  1054

-- State  1055

-- State  1056

-- State  1057

-- State  1058

-- State  1059

-- State  1060

-- State  1061

-- State  1062

-- State  1063

-- State  1064

-- State  1065

-- State  1066

-- State  1067

-- State  1068

-- State  1069

-- State  1070

-- State  1071

-- State  1072

-- State  1073

-- State  1074

-- State  1075

-- State  1076

-- State  1077

-- State  1078

-- State  1079

-- State  1080

-- State  1081

-- State  1082

-- State  1083

-- State  1084

-- State  1085

-- State  1086

-- State  1087

-- State  1088

-- State  1089

-- State  1090

-- State  1091

-- State  1092

-- State  1093

-- State  1094

-- State  1095

-- State  1096

-- State  1097

-- State  1098

-- State  1099

-- State  1100

-- State  1101

-- State  1102

-- State  1103

-- State  1104

-- State  1105
,(-440, 1185),(-439, 1184),(-438, 1183)
,(-437, 1182),(-436, 1181),(-435, 1180),(-434, 1179)
,(-433, 1178),(-377, 1187)
-- State  1106

-- State  1107

-- State  1108

-- State  1109

-- State  1110

-- State  1111
,(-403, 1189),(-402, 1188)

-- State  1112

-- State  1113

-- State  1114
,(-414, 1192),(-413, 1191)
-- State  1115

-- State  1116

-- State  1117

-- State  1118

-- State  1119

-- State  1120

-- State  1121

-- State  1122

-- State  1123

-- State  1124

-- State  1125

-- State  1126

-- State  1127

-- State  1128

-- State  1129

-- State  1130

-- State  1131

-- State  1132

-- State  1133

-- State  1134

-- State  1135

-- State  1136

-- State  1137

-- State  1138

-- State  1139

-- State  1140
,(-476, 35),(-475, 34)
,(-101, 1195)
-- State  1141
,(-104, 1197)
-- State  1142
,(-104, 1199)
-- State  1143

-- State  1144

-- State  1145
,(-476, 35)
,(-475, 34),(-101, 1204)
-- State  1146
,(-104, 1205)
-- State  1147
,(-104, 1207)

-- State  1148

-- State  1149

-- State  1150

-- State  1151

-- State  1152

-- State  1153

-- State  1154
,(-476, 35),(-475, 34),(-101, 1216)
-- State  1155
,(-104, 1217)

-- State  1156
,(-104, 1219)
-- State  1157
,(-104, 1221)
-- State  1158
,(-104, 1223)
-- State  1159
,(-104, 1225)

-- State  1160
,(-104, 1227)
-- State  1161

-- State  1162

-- State  1163

-- State  1164

-- State  1165

-- State  1166

-- State  1167

-- State  1168

-- State  1169

-- State  1170

-- State  1171

-- State  1172

-- State  1173

-- State  1174

-- State  1175

-- State  1176

-- State  1177

-- State  1178

-- State  1179

-- State  1180

-- State  1181

-- State  1182

-- State  1183

-- State  1184

-- State  1185

-- State  1186
,(-469, 1246),(-463, 1245),(-458, 1244)
,(-453, 1243),(-451, 1242),(-449, 1241),(-447, 1240)
,(-441, 1239)
-- State  1187

-- State  1188

-- State  1189

-- State  1190

-- State  1191

-- State  1192

-- State  1193

-- State  1194

-- State  1195

-- State  1196
,(-214, 72)
-- State  1197

-- State  1198

-- State  1199

-- State  1200

-- State  1201

-- State  1202

-- State  1203

-- State  1204

-- State  1205

-- State  1206

-- State  1207

-- State  1208

-- State  1209

-- State  1210

-- State  1211

-- State  1212

-- State  1213

-- State  1214

-- State  1215

-- State  1216

-- State  1217

-- State  1218

-- State  1219

-- State  1220

-- State  1221

-- State  1222

-- State  1223

-- State  1224

-- State  1225

-- State  1226

-- State  1227

-- State  1228

-- State  1229

-- State  1230

-- State  1231

-- State  1232

-- State  1233

-- State  1234

-- State  1235

-- State  1236

-- State  1237

-- State  1238

-- State  1239
,(-442, 1253)
-- State  1240
,(-448, 1254)

-- State  1241
,(-450, 1255)
-- State  1242
,(-452, 1256)
-- State  1243
,(-454, 1257)
-- State  1244
,(-459, 1258)

-- State  1245
,(-464, 1259)
-- State  1246
,(-470, 1260)
-- State  1247

-- State  1248
,(-403, 1261)
-- State  1249

-- State  1250
,(-414, 1262)

-- State  1251

-- State  1252

-- State  1253
,(-446, 1275),(-445, 1274),(-444, 1272),(-443, 1273)

-- State  1254
,(-446, 1275),(-445, 1274),(-444, 1272),(-443, 1277)

-- State  1255
,(-445, 1279)
-- State  1256
,(-445, 1280)
-- State  1257
,(-457, 1285),(-456, 1281)
,(-455, 1282),(-446, 1284),(-445, 1283)
-- State  1258
,(-462, 1290)
,(-461, 1287),(-460, 1288),(-445, 1289)
-- State  1259
,(-468, 1295)
,(-467, 1294),(-466, 1292),(-465, 1293)
-- State  1260
,(-471, 1298)

-- State  1261

-- State  1262

-- State  1263

-- State  1264

-- State  1265

-- State  1266

-- State  1267

-- State  1268

-- State  1269

-- State  1270

-- State  1271

-- State  1272

-- State  1273
,(-446, 1275),(-445, 1274),(-444, 1300)
-- State  1274

-- State  1275

-- State  1276

-- State  1277
,(-446, 1275)
,(-445, 1274),(-444, 1300)
-- State  1278

-- State  1279

-- State  1280

-- State  1281

-- State  1282
,(-457, 1285),(-456, 1307)
,(-446, 1284),(-445, 1283)
-- State  1283

-- State  1284

-- State  1285

-- State  1286

-- State  1287

-- State  1288
,(-462, 1290),(-461, 1310)
,(-445, 1289)
-- State  1289

-- State  1290

-- State  1291

-- State  1292

-- State  1293
,(-468, 1295),(-467, 1294),(-466, 1313)

-- State  1294

-- State  1295

-- State  1296

-- State  1297

-- State  1298

-- State  1299

-- State  1300

-- State  1301

-- State  1302

-- State  1303

-- State  1304

-- State  1305

-- State  1306

-- State  1307

-- State  1308

-- State  1309

-- State  1310

-- State  1311

-- State  1312

-- State  1313

-- State  1314

-- State  1315

-- State  1316

-- State  1317

-- State  1318

-- State  1319

-- State  1320

-- State  1321

-- State  1322

-- State  1323

-- State  1324

-- State  1325

-- State  1326

-- State  1327

-- State  1328

-- State  1329

-- State  1330

-- State  1331
,(-474, 1334),(-473, 1333),(-472, 1332),(-439, 1341)
,(-438, 1340),(-437, 1339),(-436, 1338),(-435, 1337)
,(-434, 1336),(-433, 1335)
-- State  1332

-- State  1333

-- State  1334

-- State  1335

-- State  1336

-- State  1337

-- State  1338

-- State  1339

-- State  1340

-- State  1341

-- State  1342
,(-463, 1245),(-458, 1244)
,(-453, 1243),(-451, 1242),(-449, 1241),(-447, 1240)
,(-441, 1239)
-- State  1343

-- State  1344
,(-474, 1334),(-473, 1346),(-439, 1341)
,(-438, 1340),(-437, 1339),(-436, 1338),(-435, 1337)
,(-434, 1336),(-433, 1335)
-- State  1345

-- State  1346

-- State  1347

);
--  The offset vector
GOTO_OFFSET : array (0.. 1347) of Integer :=
( 0,
 23, 44, 44, 44, 44, 44, 44, 44, 44, 44,
 44, 44, 44, 44, 44, 44, 44, 44, 44, 44,
 44, 44, 44, 44, 44, 47, 47, 47, 47, 49,
 49, 49, 54, 55, 55, 55, 57, 57, 61, 63,
 66, 70, 70, 70, 70, 70, 70, 70, 70, 70,
 70, 70, 70, 70, 71, 71, 72, 73, 73, 73,
 74, 75, 76, 77, 77, 78, 79, 79, 80, 81,
 82, 82, 83, 84, 85, 86, 86, 86, 86, 90,
 90, 90, 90, 90, 92, 92, 94, 96, 96, 98,
 100, 102, 104, 104, 106, 108, 108, 109, 111, 113,
 113, 115, 117, 119, 121, 121, 121, 121, 121, 121,
 121, 121, 125, 125, 125, 125, 125, 129, 129, 129,
 133, 133, 133, 133, 133, 133, 146, 146, 146, 154,
 154, 154, 166, 166, 178, 178, 178, 178, 181, 181,
 181, 184, 184, 184, 184, 184, 184, 188, 188, 192,
 192, 192, 192, 192, 192, 192, 202, 202, 202, 205,
 205, 211, 211, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
 216, 216, 219, 219, 219, 219, 219, 219, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 222, 222, 222, 222, 222,
 222, 222, 222, 222, 222, 229, 231, 231, 231, 231,
 231, 231, 231, 231, 231, 231, 231, 231, 231, 234,
 234, 234, 234, 234, 234, 234, 234, 235, 235, 235,
 235, 235, 235, 235, 235, 239, 239, 239, 239, 239,
 239, 239, 239, 239, 242, 242, 242, 242, 242, 242,
 242, 242, 242, 242, 242, 242, 242, 242, 242, 250,
 254, 267, 267, 267, 267, 267, 267, 267, 267, 273,
 273, 273, 274, 274, 274, 274, 274, 274, 274, 274,
 274, 274, 274, 274, 274, 274, 274, 276, 276, 276,
 276, 276, 276, 276, 282, 282, 282, 282, 282, 282,
 282, 282, 282, 282, 282, 282, 285, 285, 285, 285,
 285, 285, 285, 285, 285, 285, 287, 287, 287, 287,
 287, 289, 291, 293, 295, 295, 295, 295, 295, 295,
 295, 295, 295, 295, 295, 295, 295, 295, 295, 300,
 300, 300, 300, 300, 301, 301, 301, 301, 301, 301,
 301, 301, 301, 301, 301, 301, 301, 301, 311, 311,
 312, 313, 314, 315, 316, 317, 317, 318, 318, 319,
 320, 320, 320, 320, 320, 320, 320, 323, 323, 324,
 325, 326, 326, 327, 328, 328, 328, 328, 328, 328,
 328, 328, 328, 328, 328, 328, 328, 328, 335, 335,
 336, 337, 338, 339, 340, 340, 343, 343, 345, 345,
 357, 357, 363, 369, 373, 377, 383, 389, 393, 398,
 404, 411, 411, 416, 421, 426, 434, 442, 447, 447,
 452, 452, 457, 463, 463, 468, 468, 469, 470, 471,
 471, 479, 485, 499, 499, 500, 501, 501, 502, 502,
 503, 503, 504, 504, 505, 505, 505, 507, 509, 511,
 513, 515, 515, 515, 516, 516, 516, 516, 516, 516,
 521, 521, 521, 521, 521, 521, 526, 526, 529, 529,
 529, 529, 532, 532, 537, 537, 537, 537, 537, 537,
 537, 542, 542, 542, 542, 542, 545, 545, 545, 549,
 549, 549, 549, 549, 549, 554, 554, 554, 554, 554,
 554, 554, 560, 560, 560, 560, 560, 560, 560, 560,
 560, 560, 560, 560, 560, 560, 563, 563, 563, 563,
 563, 563, 563, 566, 566, 566, 566, 566, 566, 569,
 569, 569, 569, 569, 569, 576, 576, 576, 576, 576,
 576, 576, 576, 576, 583, 583, 583, 583, 583, 583,
 583, 583, 583, 586, 586, 586, 586, 586, 586, 586,
 586, 589, 589, 589, 589, 589, 589, 589, 589, 589,
 593, 593, 593, 593, 593, 593, 598, 598, 598, 598,
 598, 598, 598, 598, 611, 634, 673, 673, 673, 673,
 673, 679, 679, 679, 679, 679, 679, 679, 679, 679,
 679, 683, 683, 683, 683, 683, 683, 683, 683, 695,
 695, 695, 695, 695, 695, 695, 695, 695, 695, 695,
 695, 695, 695, 695, 695, 695, 695, 695, 695, 695,
 695, 695, 695, 695, 695, 695, 695, 695, 695, 699,
 699, 699, 701, 701, 705, 705, 708, 708, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 713, 713, 713,
 713, 713, 713, 713, 713, 713, 713, 725, 725, 725,
 725, 725, 725, 725, 725, 725, 725, 725, 725, 725,
 725, 747, 747, 747, 747, 747, 747, 747, 747, 747,
 747, 747, 747, 747, 747, 747, 747, 747, 747, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 785, 785, 785, 785, 785,
 785, 785, 785, 785, 785, 794, 794, 794, 794, 794,
 794, 796, 796, 796, 798, 798, 798, 798, 798, 798,
 798, 798, 798, 798, 798, 798, 798, 798, 798, 798,
 798, 798, 798, 798, 798, 798, 798, 798, 798, 798,
 801, 802, 803, 803, 803, 806, 807, 808, 808, 808,
 808, 808, 808, 808, 811, 812, 813, 814, 815, 816,
 817, 817, 817, 817, 817, 817, 817, 817, 817, 817,
 817, 817, 817, 817, 817, 817, 817, 817, 817, 817,
 817, 817, 817, 817, 817, 817, 825, 825, 825, 825,
 825, 825, 825, 825, 825, 825, 826, 826, 826, 826,
 826, 826, 826, 826, 826, 826, 826, 826, 826, 826,
 826, 826, 826, 826, 826, 826, 826, 826, 826, 826,
 826, 826, 826, 826, 826, 826, 826, 826, 826, 826,
 826, 826, 826, 826, 826, 826, 826, 826, 826, 827,
 828, 829, 830, 831, 832, 833, 834, 834, 835, 835,
 836, 836, 836, 840, 844, 845, 846, 851, 855, 859,
 860, 860, 860, 860, 860, 860, 860, 860, 860, 860,
 860, 860, 860, 863, 863, 863, 863, 866, 866, 866,
 866, 866, 870, 870, 870, 870, 870, 870, 873, 873,
 873, 873, 873, 876, 876, 876, 876, 876, 876, 876,
 876, 876, 876, 876, 876, 876, 876, 876, 876, 876,
 876, 876, 876, 876, 876, 876, 876, 876, 876, 876,
 876, 876, 876, 876, 876, 876, 876, 876, 876, 876,
 876, 886, 886, 886, 886, 886, 886, 886, 886, 886,
 886, 886, 893, 893, 902, 902, 902);

subtype Rule        is Natural;
subtype Nonterminal is Integer;

   Rule_Length : array (Rule range  0 ..  777) of Natural := ( 2,
 1, 2, 1, 1, 1, 1, 1, 1,
 1, 1, 5, 1, 3, 1, 1, 1,
 3, 3, 3, 1, 1, 1, 1, 0,
 7, 3, 1, 2, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 4, 4, 4, 4, 4, 4, 4, 4,
 4, 4, 4, 4, 4, 0, 7, 3,
 1, 2, 1, 1, 1, 1, 1, 1,
 1, 4, 1, 1, 0, 5, 3, 1,
 2, 1, 1, 1, 4, 4, 4, 0,
 5, 3, 1, 2, 1, 1, 1, 1,
 4, 0, 7, 3, 1, 2, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 4, 4, 4, 4, 4, 4, 4,
 4, 4, 4, 4, 4, 3, 3, 1,
 0, 7, 3, 1, 2, 1, 1, 1,
 1, 1, 1, 1, 4, 1, 1, 1,
 1, 4, 4, 1, 1, 1, 1, 0,
 5, 3, 1, 2, 1, 1, 1, 1,
 1, 1, 1, 4, 4, 1, 1, 4,
 4, 1, 1, 4, 4, 4, 4, 0,
 5, 3, 1, 2, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 4,
 4, 1, 1, 4, 4, 1, 1, 4,
 4, 4, 0, 5, 3, 1, 2, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 4, 4, 4, 4, 4, 1, 1, 4,
 4, 1, 1, 4, 4, 1, 1, 4,
 4, 1, 1, 4, 4, 1, 1, 4,
 4, 1, 1, 4, 4, 1, 1, 4,
 4, 1, 1, 0, 7, 3, 1, 2,
 1, 1, 4, 4, 4, 0, 7, 3,
 1, 2, 1, 1, 4, 1, 1, 1,
 0, 4, 3, 1, 2, 1, 2, 1,
 1, 1, 1, 1, 0, 4, 3, 1,
 2, 1, 2, 0, 1, 1, 1, 4,
 4, 4, 0, 4, 3, 1, 2, 1,
 2, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 0,
 7, 3, 4, 0, 7, 3, 1, 2,
 2, 1, 1, 1, 4, 4, 0, 7,
 3, 1, 2, 2, 1, 1, 1, 4,
 4, 1, 1, 1, 1, 3, 0, 5,
 3, 1, 2, 1, 1, 1, 1, 1,
 4, 4, 4, 4, 4, 1, 1, 6,
 3, 1, 1, 1, 1, 6, 3, 1,
 1, 6, 3, 1, 1, 0, 7, 3,
 1, 2, 1, 1, 6, 3, 1, 1,
 0, 7, 3, 1, 2, 1, 1, 1,
 1, 1, 4, 4, 4, 3, 0, 5,
 3, 1, 2, 1, 1, 1, 1, 4,
 4, 4, 1, 1, 1, 1, 1, 1,
 0, 4, 3, 1, 2, 1, 2, 1,
 1, 4, 4, 0, 4, 3, 1, 2,
 1, 2, 1, 1, 0, 4, 3, 1,
 2, 1, 2, 1, 1, 0, 5, 3,
 1, 2, 1, 1, 1, 1, 1, 1,
 4, 4, 4, 4, 0, 5, 3, 1,
 2, 1, 1, 1, 1, 1, 1, 4,
 4, 4, 4, 4, 0, 4, 3, 1,
 2, 1, 2, 1, 1, 4, 4, 1,
 1, 0, 5, 3, 0, 5, 3, 4,
 1, 0, 4, 3, 1, 2, 1, 2,
 1, 1, 4, 4, 1, 1, 1, 1,
 1, 1, 0, 5, 3, 1, 2, 1,
 1, 1, 4, 4, 4, 4, 0, 5,
 3, 1, 2, 1, 4, 0, 5, 3,
 1, 2, 1, 1, 1, 4, 4, 4,
 0, 5, 3, 1, 2, 1, 1, 0,
 5, 3, 1, 2, 1, 1, 1, 1,
 4, 4, 0, 7, 3, 1, 2, 1,
 1, 1, 4, 6, 3, 1, 6, 3,
 1, 6, 3, 1, 1, 1, 4, 3,
 4, 1, 2, 4, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 4,
 3, 1, 2, 1, 1, 1, 1, 4,
 4, 4, 4, 4, 3, 4, 3, 1,
 2, 1, 1, 6, 3, 1, 1, 4,
 4, 3, 4, 3, 1, 2, 1, 1,
 4, 1, 2, 1, 1, 6, 3, 1,
 1, 4, 4, 3, 1, 2, 1, 1,
 4, 4, 3, 4, 3, 1, 2, 1,
 1, 1, 4, 4, 3, 1, 2, 1,
 1, 1, 1, 4, 4, 4, 3, 1,
 2, 1, 1, 1, 1, 1, 4, 1,
 1, 1, 1, 1, 1, 1, 1, 0,
 5, 3, 1, 2, 1, 1, 4, 4,
 0, 5, 3, 0, 5, 3, 0, 5,
 3, 0, 5, 3, 1, 2, 1, 1,
 1, 4, 0, 5, 3, 1, 2, 1,
 1, 4, 0, 5, 1, 2, 1, 1,
 3, 4, 4, 0, 5, 3, 6, 3,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 3, 1, 1, 0, 5, 0, 5,
 3, 1, 2, 1, 1, 1, 4, 4,
 4, 4, 3, 1, 2, 1, 1, 1,
 4);
   Get_LHS_Rule: array (Rule range  0 ..  777) of Nonterminal := (-1,
-2,-3,-3,-4,-4,-4,-4,-4,
-4,-4,-5,-12,-12,-13,-13,-13,
-14,-15,-16,-6,-6,-6,-6,-22,
-17,-21,-23,-23,-25,-25,-25,-25,
-25,-25,-25,-25,-25,-25,-25,-25,
-24,-30,-26,-27,-28,-29,-31,-32,
-33,-34,-35,-36,-37,-40,-19,-39,
-41,-41,-43,-43,-43,-43,-43,-43,
-43,-42,-38,-38,-47,-45,-46,-48,
-48,-49,-49,-49,-50,-51,-52,-54,
-44,-53,-55,-55,-56,-56,-56,-56,
-57,-59,-18,-58,-60,-60,-61,-61,
-61,-61,-61,-61,-61,-61,-61,-61,
-61,-62,-71,-63,-72,-64,-73,-65,
-66,-67,-68,-69,-70,-74,-75,-75,
-78,-20,-77,-79,-79,-80,-80,-80,
-80,-80,-80,-80,-81,-82,-82,-83,
-83,-84,-85,-76,-86,-86,-86,-91,
-87,-90,-92,-92,-93,-93,-93,-93,
-93,-94,-94,-99,-100,-95,-95,-103,
-102,-96,-96,-106,-105,-97,-98,-108,
-88,-107,-109,-109,-110,-110,-110,-110,
-110,-110,-110,-110,-110,-111,-111,-115,
-116,-112,-112,-118,-117,-113,-113,-120,
-119,-114,-122,-89,-121,-123,-123,-124,
-124,-124,-124,-124,-124,-124,-124,-124,
-124,-124,-124,-124,-124,-124,-124,-124,
-125,-126,-127,-128,-129,-130,-130,-137,
-138,-131,-131,-140,-139,-132,-132,-142,
-141,-133,-133,-144,-143,-134,-134,-146,
-145,-135,-135,-148,-147,-136,-136,-150,
-149,-7,-7,-154,-151,-153,-155,-155,
-157,-157,-156,-158,-159,-162,-152,-161,
-163,-163,-164,-164,-165,-160,-160,-160,
-170,-166,-169,-171,-171,-172,-172,-173,
-173,-173,-173,-173,-175,-167,-174,-176,
-176,-177,-177,-178,-178,-178,-178,-179,
-180,-181,-183,-168,-182,-184,-184,-185,
-185,-186,-186,-186,-186,-186,-187,-187,
-188,-188,-189,-189,-8,-8,-8,-194,
-190,-193,-195,-197,-191,-196,-198,-198,
-199,-199,-200,-200,-201,-202,-204,-192,
-203,-205,-205,-206,-206,-207,-207,-208,
-209,-9,-9,-9,-9,-210,-215,-104,
-214,-216,-216,-218,-218,-218,-218,-218,
-217,-219,-220,-221,-222,-223,-223,-225,
-227,-227,-228,-226,-226,-229,-231,-231,
-232,-230,-233,-233,-234,-236,-211,-235,
-237,-237,-238,-238,-239,-240,-240,-241,
-243,-212,-242,-244,-244,-245,-245,-245,
-245,-245,-246,-247,-248,-213,-251,-249,
-250,-252,-252,-253,-253,-253,-253,-254,
-255,-256,-257,-257,-257,-257,-257,-257,
-265,-258,-264,-266,-266,-267,-267,-268,
-268,-270,-269,-272,-259,-271,-273,-273,
-274,-274,-275,-275,-277,-260,-276,-278,
-278,-279,-279,-280,-280,-282,-261,-281,
-283,-283,-284,-284,-284,-284,-284,-284,
-285,-286,-287,-288,-290,-262,-289,-291,
-291,-292,-292,-292,-292,-292,-292,-293,
-294,-295,-296,-297,-299,-263,-298,-300,
-300,-301,-301,-302,-302,-304,-303,-224,
-224,-308,-305,-307,-311,-306,-310,-309,
-312,-315,-313,-314,-316,-316,-317,-317,
-318,-318,-320,-319,-321,-322,-322,-322,
-322,-322,-329,-323,-328,-330,-330,-332,
-332,-332,-331,-333,-334,-335,-337,-324,
-336,-338,-338,-339,-340,-342,-325,-341,
-343,-343,-344,-344,-344,-345,-346,-347,
-349,-326,-348,-350,-350,-351,-351,-353,
-327,-352,-354,-354,-355,-355,-355,-355,
-356,-357,-359,-10,-358,-360,-360,-362,
-362,-362,-361,-363,-366,-366,-364,-367,
-367,-365,-369,-369,-368,-371,-372,-373,
-375,-374,-374,-376,-370,-378,-378,-378,
-378,-378,-378,-378,-378,-378,-378,-379,
-389,-390,-390,-391,-391,-391,-391,-392,
-393,-394,-395,-380,-396,-381,-397,-398,
-398,-399,-399,-400,-402,-402,-403,-401,
-382,-404,-383,-405,-406,-406,-407,-407,
-409,-410,-410,-408,-408,-411,-413,-413,
-414,-412,-384,-415,-416,-416,-417,-417,
-418,-385,-419,-386,-420,-421,-421,-422,
-422,-422,-423,-387,-424,-425,-425,-426,
-426,-426,-426,-427,-428,-388,-429,-430,
-430,-431,-431,-431,-431,-431,-432,-377,
-377,-377,-377,-377,-377,-377,-377,-442,
-433,-441,-443,-443,-444,-444,-445,-446,
-448,-434,-447,-450,-435,-449,-452,-436,
-451,-454,-437,-453,-455,-455,-456,-456,
-456,-457,-459,-438,-458,-460,-460,-461,
-461,-462,-464,-439,-465,-465,-466,-466,
-463,-467,-468,-470,-440,-469,-471,-472,
-472,-473,-474,-474,-474,-474,-474,-474,
-474,-11,-101,-101,-478,-475,-481,-476,
-477,-479,-479,-484,-484,-484,-483,-485,
-486,-487,-480,-482,-482,-488,-488,-488,
-489);
end Mast_Parser_Goto;
